accumulo-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Steven Troxell <steven.trox...@gmail.com>
Subject Re: Runtime errors with 1.4, related to hadoop hue-plugins?
Date Tue, 26 Jun 2012 11:33:23 GMT
For anyone curious or with similar issues, a rebuild of my client code with
the 1.4 libthrift and cloudtrace jars was able to resolve this succesfully.



On Sun, Jun 24, 2012 at 6:25 PM, Steven Troxell <steven.troxell@gmail.com>wrote:

> Eric,
>
> I think I was on a false lead with hue.  Credit to John Vines, for
> pointing out the fact that I needed to put the libthrift-0.6.1.jar in my
> clients lib directory (in place of thrift-0.3.jar)   That resolved that
> issue though now I'm getting errors related to the cloudtrace jar  which
> were initially:
>
> Exception in thread "main" java.lang.NoClassDefFoundError:
> org/apache/accumulo/cloudtrace/instrument/thrift/TraceWrap
>
>
> and then changed the following upon grabbing the accumulo-1.4 cloudtrace
> jar:
> Exception in thread "main" java.lang.IncompatibleClassChangeError: Found
> interface org.apache.accumulo.core.client.admin.TableOperations, but class
> was expected
>
>
> Hoping a rebuild of my client code may resolve this.
>
> Thanks,
> Steve
>
>
>
> On Sun, Jun 24, 2012 at 4:17 PM, Eric Newton <eric.newton@gmail.com>wrote:
>
>> We've seen a conflict in thrift versions before.  You will have to remove
>> the hue stuff from the classpath.
>>
>> -Eric
>>
>>
>> On Sun, Jun 24, 2012 at 3:39 PM, Steven Troxell <steven.troxell@gmail.com
>> > wrote:
>>
>>> I am attempting to see if software that I am using that integrates with
>>> accumulo will work with 1.4.  I've had success with 1.3,.  I've updated the
>>> accumulo-core-1.4.0-jar in the appropriate lib directory, but am getting
>>> the following runtime error when trying with 1.4:
>>>
>>> Exception in thread "main" java.lang.NoSuchMethodError:
>>> org.apache.thrift.meta_data.FieldValueMetaData.<init>(BZ)V
>>>
>>> The best I can tell it sources from the following line in client code:
>>>
>>>     ZooKeeperInstance instance = new ZooKeeperInstance(instanceName,
>>>                     zookeeperInstance);
>>>
>>> I've researched this error, and it seems to be tied to hadoop
>>> hue-plugins.   Does anyone have insight on changes 1.4 made that could
>>> contribute to this, and suggestions on resolving it?
>>>
>>> Thanks,
>>> Steve
>>>
>>
>>
>

Mime
View raw message